### Method

# Gtk TreeView set_enable_search

deprecated: 4.10

#### Declaration [src]

    void
    gtk_tree_view_set_enable_search (
      GtkTreeView* tree_view,
      gboolean enable_search
    )

#### Description [src]

If `enable_search` is set, then the user can type in text to search through the tree interactively (this is sometimes called “typeahead find”).

Note that even if this is `FALSE`, the user can still initiate a search using the “start-interactive-search” key binding.

Deprecated since: 4.10

Use `GtkListView` or `GtkColumnView` instead.

Sets property | `Gtk.TreeView:enable-search`

#### Parameters

`enable_search`

  Type: `gboolean`

  `TRUE`, if the user can search interactively.